首页 -> 安全研究

安全研究

安全漏洞
Nginx Naxsi模块任意文件泄露漏洞

发布日期:2012-07-06
更新日期:2012-07-09

受影响系统:
Nginx Nginx 0.x
描述:
CVE(CAN) ID: CVE-2012-3380

nginx是一款使用非常广泛的高性能Web服务器。

nginx 0.46-1之前版本的Naxsi模块中存在安全漏洞,naxsi-ui/ nx_extract.py没有正确验证某些输入即用于读取文件,通过目录遍历序列可被利用泄露任意文件内容。

<*来源:vendor
  
  链接:http://secunia.com/advisories/49811/
        http://code.google.com/p/naxsi/source/detail?r=307
*>

建议:
厂商补丁:

Nginx
-----
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://nginx.net/

浏览次数:2572
严重程度:0(网友投票)
本安全漏洞由绿盟科技翻译整理,版权所有,未经许可,不得转载
绿盟科技给您安全的保障